Page 1 of 3 123 LastLast
Results 1 to 10 of 21

Thread: Konqueror conquered by un-common common?

  1. #1

    Default Konqueror conquered by un-common common?

    Long story short, some discoveries caused me to conduct an audit of symlinks for the entire 11.4 system I am using. I found what appear to be hundreds of broken links. I am trying to track down the causes.

    It appears I found dozens associated with Konqueror. Examples:

    Code:
    In '/usr/share/doc/kde/HTML/ca/konq-plugins'  for file 'common'  the linked to item '/usr/share/doc/kde/HTML/ca/konq-plugins/../common' does NOT exist!
    In '/usr/share/doc/kde/HTML/ca/konq-plugins/babel'  for file 'common'  the linked to item '/usr/share/doc/kde/HTML/ca/konq-plugins/babel/../common' does NOT exist!
    In '/usr/share/doc/kde/HTML/ca/konq-plugins/crashes'  for file 'common'  the linked to item '/usr/share/doc/kde/HTML/ca/konq-plugins/crashes/../common' does NOT exist!
    That use of common is a common theme.

    There are places in the system, where, although it may seem like something of a kludge, there is an intentional odd use of a symlink, such as /boot pointing to itself.

    So before I reported as a bug, I wanted to ask, does anyone know of any intentional reason for the repeated use of common pointing to something that doesn't exist, in this situation???

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,004

    Default Re: Konqueror conquered by un-common common?

    You say that the one you show above related to Konqueror is just an example. When it wasn't just an example or when you just want to try to get grips with this pehnomenon through this example, why not go to the KDE forums at: Index page • KDE Community Forums ?
    Henk van Velden

  3. #3

    Default Re: Konqueror conquered by un-common common?

    Quote Originally Posted by hcvv View Post
    You say that the one you show above related to Konqueror is just an example. When it wasn't just an example or when you just want to try to get grips with this pehnomenon through this example, why not go to the KDE forums at: Index page • KDE Community Forums ?
    My understanding is that openSUSE is not built by just collecting a bunch of RPM's into an ISO, without any modifications to anything inside the RPM's. My understanding is that even when something originates elsewhere, such as kde.org, in some cases, modifications are made. So when I'm using Konqueror which I obtained as part of openSUSE 11.4, AFAIC, the first question is, "was it modified for use with openSUSE?". If YES, then in a situation such as this, my next question would be, "did the modifications result in the problem?". If NO, then the next step would be to look on kde.org.

  4. #4
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,806
    Blog Entries
    14

    Default Re: Konqueror conquered by un-common common?

    We need much more details. KDE version, from which repo. What was installed, uninstalled? On my laptop, I don't find the example you provided. And yes, I replaced "ca" by "nl".
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  5. #5
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default Re: Konqueror conquered by un-common common?

    Is this an updated system and this directories maybe are leftovers from
    the past? When I look on my 11.4 system looking for the pattern
    share/doc/HTML/de/konq-plugins
    (or any other languge instead of de) it finds only the directories for
    the kde3 parts I have installed (in /opt/kde3) but nothing for kde4.

    --
    PC: oS 11.4 x86_64 | Intel Core i7-2600@3.40GHz | 16GB | KDE 4.6.0 |
    GeForce GT 420
    Eee PC 1201n: oS 12.1 x86_64 | Intel Atom 330@1.60GHz | 3GB | KDE 4.8.1
    | nVidia ION
    eCAFE 800: oS 12.1 i586 | AMD Geode LX 800@500MHz | 512MB | KDE 3.5.10 |
    xf86-video-geode

  6. #6

    Default Re: Konqueror conquered by un-common common?

    Quote Originally Posted by Knurpht View Post
    We need much more details. KDE version, from which repo. What was installed, uninstalled? On my laptop, I don't find the example you provided. And yes, I replaced "ca" by "nl".
    openSUSE 11.4 downloaded ISO of final release. Checksum matched. Burned DVD, verified burn. Originally installed last year, "new install" not "upgrade".

    For updates to KDE, I use Yast2 "online update" from standard repositories.

    KDE version:

    # rpm -qi kdebase4-4.6.0-6.10.1.x86_64
    Name : kdebase4 Relocations: (not relocatable)
    Version : 4.6.0 Vendor: openSUSE
    Release : 6.10.1 Build Date: Wed Oct 19 14:36:43 2011
    Install Date: Sun Oct 30 02:11:33 2011 Build Host: build25
    Group : System/GUI/KDE Source RPM: kdebase4-4.6.0-6.10.1.src.rpm
    Size : 540751 License: GPLv2+
    Signature : RSA/8, Wed Oct 19 14:39:43 2011, Key ID b88b2fd43dbdc284
    Packager : openSUSE:Submitting bug reports - openSUSE
    URL : KDE - Experience Freedom!
    Summary : The Base KDE Apps
    Description :
    This package contains the basic applications for a K Desktop
    Environment workspace.
    Distribution: openSUSE 11.4


    Package "owning" the files in question:

    # rpm -q --whatprovides /usr/share/doc/kde/HTML/ca/konq-plugins
    konqueror-plugins-lang-4.3.1-11.14.2.noarch

    In that RPM, there's all sorts of stuff like that with "common":

    drwxr-xr-x 2 root root 0 Feb 21 2011 /usr/share/doc/kde/HTML/ca/konq-plugins/babel
    lrw-r--r-- 1 root root 9 Feb 21 2011 /usr/share/doc/kde/HTML/ca/konq-plugins/babel/common -> ../common
    -rw-r--r-- 1 root root 2032 Feb 21 2011 /usr/share/doc/kde/HTML/ca/konq-plugins/babel/index.cache.bz2
    -rw-r--r-- 1 root root 2659 Aug 31 2009 /usr/share/doc/kde/HTML/ca/konq-plugins/babel/index.docbook
    lrwxrwxrwx 1 root root 9 Feb 21 2011 /usr/share/doc/kde/HTML/ca/konq-plugins/common -> ../common
    drwxr-xr-x 2 root root 0 Feb 21 2011 /usr/share/doc/kde/HTML/ca/konq-plugins/crashes
    lrw-r--r-- 1 root root 9 Feb 21 2011 /usr/share/doc/kde/HTML/ca/konq-plugins/crashes/common -> ../common
    -rw-r--r-- 1 root root 1464 Feb 21 2011 /usr/share/doc/kde/HTML/ca/konq-plugins/crashes/index.cache.bz2
    -rw-r--r-- 1 root root 1457 Aug 31 2009 /usr/share/doc/kde/HTML/ca/konq-plugins/crashes/index.docbook

  7. #7
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default Re: Konqueror conquered by un-common common?

    Am 05.04.2012 00:26, schrieb toes:
    > # rpm -q --whatprovides /usr/share/doc/kde/HTML/ca/konq-plugins
    > konqueror-plugins-lang-4.3.1-11.14.2.noarch
    >

    This rpm seems to be obsolete, even if you do the software search at
    software.opensuse.org it does no longer exist (while it is still of
    course in the repo).
    That's now a wild guess but I think it just was not properly uninstalled
    by the update it obsoleted it.
    I can no longer check this (but I checked before the upgrade that only
    konqueror-plugins was installed the corresponding -lang was shown as not
    installed while I had 4.6 on 11.4 I just upgraded now to 4.8.2).

    To be sure, can you run a
    Code:
    zypper verify
    ?

    --
    PC: oS 11.4 x86_64 | Intel Core i7-2600@3.40GHz | 16GB | KDE 4.8.2 |
    GeForce GT 420
    Eee PC 1201n: oS 12.1 x86_64 | Intel Atom 330@1.60GHz | 3GB | KDE 4.8.2
    | nVidia ION
    eCAFE 800: oS 12.1 i586 | AMD Geode LX 800@500MHz | 512MB | KDE 3.5.10 |
    xf86-video-geode

  8. #8

    Default Re: Konqueror conquered by un-common common?

    Quote Originally Posted by martin_helm View Post
    Am 05.04.2012 00:26, schrieb toes:
    > # rpm -q --whatprovides /usr/share/doc/kde/HTML/ca/konq-plugins
    > konqueror-plugins-lang-4.3.1-11.14.2.noarch
    >

    This rpm seems to be obsolete, even if you do the software search at
    software.opensuse.org it does no longer exist (while it is still of
    course in the repo).
    That's now a wild guess but I think it just was not properly uninstalled
    by the update it obsoleted it.
    I can no longer check this (but I checked before the upgrade that only
    konqueror-plugins was installed the corresponding -lang was shown as not
    installed while I had 4.6 on 11.4 I just upgraded now to 4.8.2).

    To be sure, can you run a
    Code:
    zypper verify
    ?
    [...]
    # zypper verify
    Loading repository data...
    Reading installed packages...

    Dependencies of all installed packages are satisfied.

  9. #9
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default Re: Konqueror conquered by un-common common?

    Does
    Code:
    rpm -ql konqueror-plugins-lang | grep common
    show something?

    --
    PC: oS 11.4 x86_64 | Intel Core i7-2600@3.40GHz | 16GB | KDE 4.8.2 |
    GeForce GT 420
    Eee PC 1201n: oS 12.1 x86_64 | Intel Atom 330@1.60GHz | 3GB | KDE 4.8.2
    | nVidia ION
    eCAFE 800: oS 12.1 i586 | AMD Geode LX 800@500MHz | 512MB | KDE 3.5.10 |
    xf86-video-geode

  10. #10

    Default Re: Konqueror conquered by un-common common?

    I wouldn't have discovered this if the software search hadn't been suggested, so thanks!

    The package:

    konqueror-plugins-lang-4.6.1-4.3.noarch

    exists, but has seemingly been indexed for the search as a debug package. It essentially contains only a README that states that no translations are available.

Page 1 of 3 123 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •